ソフトウェアキーボードでは、表示するキーの種類やレイアウトを変更できます。
表示するキーの種類
表示するキーの種類は、GcSoftKeyboard.displayTypeプロパティで設定します。DisplayType.Numeric | DisplayType.Alphabetのように、ビット論理和を使用して複数の値を指定できます。
値
説明
DisplayType.Numeric
数字キー(0〜9)
DisplayType.Alphabet
アルファベット(a〜z)
DisplayType.Symbol
記号(!?#$.,;:"'`*()<>[]{}_|\/-+=~^&@%)
DisplayType.All
すべてのキー
大文字アルファベットキーの表示
アルファベットキーは、小文字のみを表示するか、大文字と小文字を両方表示するかを選択できます。小文字のみを表示した場合は、CapsキーとShiftキーも表示されます。GcSoftKeyboard.showCapitalLettersプロパティで設定します。
値
説明
true
大文字と小文字を両方表示します。
false
小文字のみを表示します。
キーのレイアウト
キーのレイアウトは、ABC順とQWERTY順(標準的なキーボードと同じ順)の2種類から選択できます。GcSoftKeyboard.qwertyLayoutプロパティで設定します。
値
説明
true
QWERTY順のレイアウトで表示します。
false
ABC順のレイアウトで表示します。
import '@grapecity/inputman/CSS/gc.inputman-js.css';
import { InputMan } from '@grapecity/inputman';
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
const gcSoftKeyboard = new InputMan.GcSoftKeyboard(document.getElementById('gcSoftKeyboard'), {
target: document.getElementById('input')
});
document.getElementById('input').addEventListener('focus', () => {
gcSoftKeyboard.open();
});
// 数字キーを表示するかどうか
document.getElementById('displayTypeNumeric').addEventListener('change', () => {
gcSoftKeyboard.displayType ^= InputMan.DisplayType.Numeric;
});
// アルファベットキーを表示するかどうか
document.getElementById('displayTypeAlphabet').addEventListener('change', () => {
gcSoftKeyboard.displayType ^= InputMan.DisplayType.Alphabet;
});
// 記号キーを表示するかどうか
document.getElementById('displayTypeSymbol').addEventListener('change', () => {
gcSoftKeyboard.displayType ^= InputMan.DisplayType.Symbol;
});
// 大文字アルファベットキーを表示するかどうか
document.getElementById('showCapitalLetters').addEventListener('change', (e) => {
gcSoftKeyboard.showCapitalLetters = e.target.checked;
});
// QWERTYレイアウトで表示するかどうか
document.getElementById('qwertyLayout').addEventListener('change', (e) => {
gcSoftKeyboard.qwertyLayout = e.target.checked;
});
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>ソフトウェアキーボード - キーの種類</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
フォーカス時に表示<br>
<input id="input">
<div id="gcSoftKeyboard"></div>
<table class="sample">
<tr>
<th>表示するキー</th>
<td>
<label><input type="checkbox" id="displayTypeNumeric" checked>数字</label>
<label><input type="checkbox" id="displayTypeAlphabet" checked>アルファベット</label>
<label><input type="checkbox" id="displayTypeSymbol" checked>記号</label>
</td>
</tr>
<tr>
<th>大文字アルファベットキー</th>
<td><label><input type="checkbox" id="showCapitalLetters" checked>大文字アルファベットキーを表示</label>
</td>
</tr>
<tr>
<th>QWERTYレイアウト</th>
<td><label><input type="checkbox" id="qwertyLayout">QWERTYレイアウトで表示</label>
</td>
</tr>
</table>
</body>
</html>
body {
min-height: 500px;
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@grapecity/inputman': 'npm:@grapecity/inputman/index.js',
'@grapecity/inputman/CSS': 'npm:@grapecity/inputman/CSS',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

ソフトウェアキーボードでは、表示するキーの種類やレイアウトを変更できます。
表示するキーの種類
表示するキーの種類は、GcSoftKeyboard.displayTypeプロパティで設定します。DisplayType.Numeric | DisplayType.Alphabetのように、ビット論理和を使用して複数の値を指定できます。
値
説明
DisplayType.Numeric
数字キー(0〜9)
DisplayType.Alphabet
アルファベット(a〜z)
DisplayType.Symbol
記号(!?#$.,;:"'`*()<>[]{}_|\/-+=~^&@%)
DisplayType.All
すべてのキー
大文字アルファベットキーの表示
アルファベットキーは、小文字のみを表示するか、大文字と小文字を両方表示するかを選択できます。小文字のみを表示した場合は、CapsキーとShiftキーも表示されます。GcSoftKeyboard.showCapitalLettersプロパティで設定します。
値
説明
true
大文字と小文字を両方表示します。
false
小文字のみを表示します。
キーのレイアウト
キーのレイアウトは、ABC順とQWERTY順(標準的なキーボードと同じ順)の2種類から選択できます。GcSoftKeyboard.qwertyLayoutプロパティで設定します。
値
説明
true
QWERTY順のレイアウトで表示します。
false
ABC順のレイアウトで表示します。
<template>
<div>
フォーカス時に表示<br>
<input id="input" autocomplete="off" @focus="open">
<GcSoftKeyboardComponent ref="keyboard" target="#input" :display-type="displayType"
:show-capital-letters="showCapitalLetters" :qwerty-layout="qwertyLayout"></GcSoftKeyboardComponent>
<table class="sample">
<tbody>
<tr>
<th>表示するキー</th>
<td>
<label><input type="checkbox" name='num' checked @change="updateDisplayType">数字</label>
<label><input type="checkbox" name='alp' checked @change="updateDisplayType">アルファベット</label>
<label><input type="checkbox" name='sym' checked @change="updateDisplayType">記号</label>
</td>
</tr>
<tr>
<th>大文字アルファベットキー</th>
<td><label><input type="checkbox" v-model="showCapitalLetters" checked>大文字アルファベットキーを表示</label>
</td>
</tr>
<tr>
<th>QWERTYレイアウト</th>
<td><label><input type="checkbox" v-model="qwertyLayout">QWERTYレイアウトで表示</label>
</td>
</tr>
</tbody>
</table>
</div>
</template>
<script setup>
import '@mescius/inputman/CSS/gc.inputman-js.css';
import './styles.css';
import {ref} from 'vue';
import {InputMan} from "@mescius/inputman";
import '@mescius/inputman.vue';
import {GcSoftKeyboardComponent} from '@mescius/inputman.vue';
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
var displayType = ref(InputMan.DisplayType.All);
var showCapitalLetters = ref(true);
var qwertyLayout = ref(false);
var keyboard = ref(null);
var open = function() {
keyboard.value.getNestedIMControl().open()
}
var updateDisplayType = function(e){
var obj = {};
obj["num"] = GC.InputMan.DisplayType.Numeric;
obj["alp"] = GC.InputMan.DisplayType.Alphabet;
obj["sym"] = GC.InputMan.DisplayType.Symbol;
displayType.value ^= obj[e.target.name];
}
</script>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>ソフトウェアキーボード - キーの種類</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
window.onload = function() {
var System = SystemJS;
System.import("./src/app.js");
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
body {
min-height: 500px;
}
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/inputman": 'npm:@mescius/inputman/index.js',
"@mescius/inputman.vue": 'npm:@mescius/inputman.vue/lib/gc.inputman.plugin.vue.js',
"@mescius/inputman/CSS": "npm:@mescius/inputman/CSS",
"@mescius/inputman.richtexteditor": "npm:@mescius/inputman.richtexteditor/index.js",
"@mescius/inputman.richtexteditor.vue": "npm:/@mescius/inputman.richtexteditor.vue/lib/gc.inputman.richtexteditor.plugin.vue.js",
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
"@mescius/inputman.comment": 'npm:@mescius/inputman.comment/index.js',
"@mescius/inputman.comment.vue": 'npm:@mescius/inputman.comment.vue/lib/gc.inputman.comment.plugin.vue.js',
"@mescius/inputman.comment/CSS": "npm:@mescius/inputman.comment/CSS",
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures/wijmo.culture.ja.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);